com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface FilterItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface FilterItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Filter Item'.

  The following features are supported:

  - `Disabled`
  - `Expression Cell`
  - `Filter`
  See Also:
    `DecisiontablePackage.getFilterItem()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionCell` | `getExpressionCell()` Returns the value of the 'Expression Cell' containment reference
    `Filter` | `getFilter()` Returns the value of the 'Filter' reference
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setExpressionCell(ExpressionCell value)` Sets the value of the '`Expression Cell`' containment reference
    `void` | `setFilter(Filter value)` Sets the value of the '`Filter`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `DecisiontablePackage.getFilterItem_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getExpressionCell

          ExpressionCell getExpressionCell()

      Returns the value of the 'Expression Cell' containment reference.

      If the meaning of the 'Expression Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression Cell' containment reference.
      See Also:
        `setExpressionCell(ExpressionCell)`, `DecisiontablePackage.getFilterItem_ExpressionCell()`

    - #### setExpressionCell

          void setExpressionCell(ExpressionCell value)

      Sets the value of the '`Expression Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression Cell' containment reference.
      See Also:
        `getExpressionCell()`

    - #### getFilter

          Filter getFilter()

      Returns the value of the 'Filter' reference.

      If the meaning of the 'Filter' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filter' reference.
      See Also:
        `setFilter(Filter)`, `DecisiontablePackage.getFilterItem_Filter()`

    - #### setFilter

          void setFilter(Filter value)

      Sets the value of the '`Filter`' reference.
      Parameters:
        `value` - the new value of the 'Filter' reference.
      See Also:
        `getFilter()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.